This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 995144 - Fix IPA 3.3 package issues
Fix IPA 3.3 package issues
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
Michael Gregg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 12:10 EDT by Martin Kosek
Modified: 2015-01-16 03:44 EST (History)
3 users (show)

See Also:
Fixed In Version: ipa-3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:00:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kosek 2013-08-08 12:10:50 EDT
Description of problem:
Rob identified several issues with the new RHEL-7.0 package which should be fixed before 7.0 GA:

1) /etc/tmpfiles.d/ipa.conf is missing the noreplace flag. Or do we assume users won't modify this?

2) install/share/certmap.conf.template and install/share/05rfc2247.ldif have an incorrect street address in the license. It should be 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA (http://www.gnu.org/licenses/old-licenses/gpl-2.0.html)

3) In the trust subpackage the Description lines are longer than 80 chars and need to be split better.

4) In python subpackage, /usr/lib*/python*/site-packages/default_encoding_utf8.so is mode 0755 and an automatic Provides is generated.

5) No man pages for ipa-test-task, ipa-test-config or ipa-run-tests in the tests subpackage.

Version-Release number of selected component (if applicable):
ipa-3.3.0-1.el7
Comment 1 Martin Kosek 2013-08-09 04:17:11 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3855
Comment 5 Michael Gregg 2013-12-23 16:57:58 EST
verified against ipa-server-3.3.3-6.el7.x86_64
Comment 6 Ludek Smid 2014-06-13 09:00:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.